/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

class Config
{
	static TransportCargo =
	{
		PASS = 1.0
		MAIL = 1.0
	};

	static IndustryMultipier =
	{
		PASS = 0.0
		MAIL = 0.0
		RCYC = 0.1
	};

	static TradeCargoMultipier =
	{
		GOOD = 1.0
		BEER = 2.0
		FOOD = 2.0
		FRUT = 2.0
		MAIL = 0.25
		BDMT = 1.0
	};
	
	static BuildCargoMultipier =
	{
		BDMT = 1.0
	};

	static StationDistance = 20.0;
	static IndustryDistance = 60.0;
	static UpdateInterval = 31;

	static function Init ()
	{
		local list = GSCargoList ();
	
		foreach (h, j in Config.TransportCargo)
		{
			for (local v = list.Begin (); !list.IsEnd (); v = list.Next ())
			{
				if (GSCargo.GetCargoLabel (v) == h)
				{
					delete Config.TransportCargo[h];
					Config.TransportCargo[v] <- j;
				}
			}
		}
		
		foreach (h, j in Config.IndustryMultipier)
		{
			for (local v = list.Begin (); !list.IsEnd (); v = list.Next ())
			{
				if (GSCargo.GetCargoLabel (v) == h)
				{
					delete Config.IndustryMultipier[h];
					Config.IndustryMultipier[v] <- j;
				}
			}
		}
		
		foreach (h, j in Config.TradeCargoMultipier)
		{
			for (local v = list.Begin (); !list.IsEnd (); v = list.Next ())
			{
				if (GSCargo.GetCargoLabel (v) == h)
				{
					delete Config.TradeCargoMultipier[h];
					Config.TradeCargoMultipier[v] <- j;
				}
			}
		}
		
		foreach (h, j in Config.BuildCargoMultipier)
		{
			for (local v = list.Begin (); !list.IsEnd (); v = list.Next ())
			{
				if (GSCargo.GetCargoLabel (v) == h)
				{
					delete Config.BuildCargoMultipier[h];
					Config.BuildCargoMultipier[v] <- j;
				}
			}
		}
	}
}

Config.Init ();
